# Uses of Enum Class
org.apache.sysds.api.mlcontext.MLContext.ExecutionType

Packages that use MLContext.ExecutionType
Package
Description
org.apache.sysds.api.mlcontext

## Uses of MLContext.ExecutionType in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext that return MLContext.ExecutionType
Modifier and Type
Method
Description
`MLContext.ExecutionType`
MLContext.`getExecutionType()`
Obtain the current execution environment.
`MLContext.ExecutionType`
ScriptExecutor.`getExecutionType()`
Obtain the current execution environment.
`static MLContext.ExecutionType`
MLContext.ExecutionType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MLContext.ExecutionType[]`
MLContext.ExecutionType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.api.mlcontext with parameters of type MLContext.ExecutionType
Modifier and Type
Method
Description
`void`
MLContext.`setExecutionType(MLContext.ExecutionType executionType)`
Set the execution environment.
`void`
ScriptExecutor.`setExecutionType(MLContext.ExecutionType executionType)`
Set the execution environment.